#version 150

precision highp float;
precision highp int;



// vertex attributes
in vec3 MCVertex;
//in vec3 MCNormal;
in vec2 MCTexCoord;
in vec4 MCColor;

// out var to fragment shader
out vec4 ColorToFrag;
out vec2 TexCoordToFrag;

// transformation matrices
//uniform mat4 renderPJMatrix;
//uniform mat4 renderVMMatrix;
//uniform mat4 renderMMMatrix;
uniform mat4 renderprojmvMatrix;

void main()
{
	//mat4 renderMV = renderVMMatrix * renderMMMatrix;
	TexCoordToFrag = MCTexCoord;
	ColorToFrag = MCColor;
	//vec4 pos = renderMV * vec4(MCVertex,1);
	//vec4 pos = renderprojmvMatrix * vec4(MCVertex,1);
	//ColorToFrag = MCColor;
	gl_Position = renderprojmvMatrix * vec4(MCVertex,1);
}
